The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Proxy Server Configuration at Device Level

Prev Next

This URL gets the proxy server configuration at device level.

Resource URL

GET /device/<device_id>/proxyserver

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
device_id Device id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
useDeviceListSettings Inherit settings from parent domain Boolean
useProxyserver Use proxy server configuration Boolean
proxyServerNameOrIPAddr Proxy server name/IP configuration String
proxyPort Proxy port configuration Number
userName Username String
password Password String

Example

Request

GET https://<NSM_IP>/sdkapi/device/1001/proxyserver

Response

 {
"useDeviceListSettings": false,
"useProxyserver": true,
"proxyServerNameOrIPAddr": 1.1.1.1,
"proxyPort": 8443,
"userName": null,
"password": null
    } 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error